LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes | List of all members
XCertificateExtension Interface Reference

Interface of a PKI Certificate. More...

`import"XCertificateExtension.idl";`

Inheritance diagram for XCertificateExtension:

## Public Member Functions
boolean | isCritical ()
| Check whether it is a critical extension. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Public Attributes
sequence< byte > | ExtensionId
| Get the extension object identifier in string. More...
sequence< byte > | ExtensionValue
| Get the extension value. More...

## Detailed Description

Interface of a PKI Certificate.

This interface represents a x509 certificate.

## Member Function Documentation

boolean isCritical | ( |  | ) |

Check whether it is a critical extension.

## Member Data Documentation

sequence< byte > ExtensionId
| attribute readonly

Get the extension object identifier in string.

sequence< byte > ExtensionValue
| attribute readonly

Get the extension value.

The documentation for this interface was generated from the following file:

- com/sun/star/security/XCertificateExtension.idl